package sun.reflect;

import java.lang.reflect.Executable;
import java.lang.reflect.Constructor;
import java.lang.reflect.Method;
import java.lang.reflect.Field;

public interface LangReflectAccess
{
    public abstract Field newField(Class<?> p0, String p1, Class<?> p2, int p3, int p4, String p5, byte[] p6);
    
    public abstract Method newMethod(Class<?> p0, String p1, Class<?>[] p2, Class<?> p3, Class<?>[] p4, int p5, int p6, String p7, byte[] p8, byte[] p9, byte[] p10);
    
    public abstract <T> Constructor<T> newConstructor(Class<T> p0, Class<?>[] p1, Class<?>[] p2, int p3, int p4, String p5, byte[] p6, byte[] p7);
    
    public abstract MethodAccessor getMethodAccessor(Method p0);
    
    public abstract void setMethodAccessor(Method p0, MethodAccessor p1);
    
    public abstract ConstructorAccessor getConstructorAccessor(Constructor<?> p0);
    
    public abstract void setConstructorAccessor(Constructor<?> p0, ConstructorAccessor p1);
    
    public abstract byte[] getExecutableTypeAnnotationBytes(Executable p0);
    
    public abstract int getConstructorSlot(Constructor<?> p0);
    
    public abstract String getConstructorSignature(Constructor<?> p0);
    
    public abstract byte[] getConstructorAnnotations(Constructor<?> p0);
    
    public abstract byte[] getConstructorParameterAnnotations(Constructor<?> p0);
    
    public abstract Method copyMethod(Method p0);
    
    public abstract Field copyField(Field p0);
    
    public abstract <T> Constructor<T> copyConstructor(Constructor<T> p0);
}
